//void ES1_6075()
{
	//open chain with Be events only and draw E_Be

	//order: al0, noal0, al180, noal180

	TStopwatch sw;
	sw.Start();

	const Int_t kMinAngle = 60;
	const Int_t kMaxAngle = 75;

	const Int_t lowfile = 0;
	const Int_t upfile = 40;

	const Int_t lowSimFile[6] = {0, 0, 0, 0, 0, 0};
	const Int_t upSimFile[6] = {14, 14, 14, 14, 14, 14};


	const Bool_t shapeFit = 0;

	TCut cAngles = "fBeThetaCM1>60*TMath::DegToRad() && fBeThetaCM1<75*TMath::DegToRad()";
	TCut crAngles = "f6BeThetaCM1>60*TMath::DegToRad() && f6BeThetaCM1<75*TMath::DegToRad()";

	//simulations
	//aligned, 0 degrees
	TString chainAl0name = "../../../be/rootdata/correlations/v5_6075/Sim_mix_br_al_0_50-85_";
	TString inputTreeAl0name = "../../../be/rootdata/correlations/v5_6075/Sim_mix_br_al_0_50-85_000.root";
	//isotropic, 0 degrees
	TString chainNoAl0name = "../../../be/rootdata/correlations/v5_6075/Sim_mix_br_noal_0_50-85_";
	TString inputTreeNoAl0name = "../../../be/rootdata/correlations/v5_6075/Sim_mix_br_noal_0_50-85_000.root";
	//aligned, 180 degrees
	TString chainAl180name = "../../../be/rootdata/correlations/v5_6075/Sim_mix_br_al_180_50-85_";
	TString inputTreeAl180name = "../../../be/rootdata/correlations/v5_6075/Sim_mix_br_al_180_50-85_000.root";
	//isotropic, 180 degrees
	TString chainNoAl180name = "../../../be/rootdata/correlations/v5_6075/Sim_mix_br_noal_180_50-85_";
	TString inputTreeNoAl180name = "../../../be/rootdata/correlations/v5_6075/Sim_mix_br_noal_180_50-85_000.root";
	//isotropic, 90 degrees
	TString chainAl90name = "../../../be/rootdata/correlations/v5_6075/Sim_mix_br_al_90_50-85_";
	TString inputTreeAl90name = "../../../be/rootdata/correlations/v5_6075/Sim_mix_br_al_90_50-85_000.root";
	//isotropic, 90 degrees
	TString chainNoAl90name = "../../../be/rootdata/correlations/v5_6075/Sim_mix_br_noal_90_50-85_";
	TString inputTreeNoAl90name = "../../../be/rootdata/correlations/v5_6075/Sim_mix_br_noal_90_50-85_000.root";

//	TChain *che = BeWork::OpenChain("/data2/be/rootdata/correlations/Be.",
//			lowfile, upfile, "beonly");										//original file
//	Info("statesRatioFitting.cxx", "%d events in chain \"%s\" containing experimental data",
//			che->GetEntries(), che->GetName());

	//open tree with MC simulations
	gROOT->ProcessLine(".x ../corr_templates/sfAngInt_opensimtree.cxx");

	TChain *che = BeWork::OpenChain("../../../be/rootdata/correlations/v5_exp/Be.",
			lowfile, upfile, "beonly");										//original file
	Info("statesRatioFitting.cxx", "%d events in chain \"%s\" containing experimental data",
			che->GetEntries(), che->GetName());

	gROOT->ProcessLine(".x ../corr_templates/sfAngInt_cuts.cxx");

	//auxiliary strings
	TString drawCommand;
	TString hsName;
	TString heName;
	TString hiName;

	sw.Print();
	sw.Continue();

	const Bool_t savePictures = 0;
	TString ppath = "pictures/correlations/v5_6075/";
	TString configuration = "6075";
//	TString pictFormat = ".ps";
//	gStyle->SetHistLineWidth(1);
	TString pictFormat = ".eps";
//	TString pictFormat = ".gif";

	const Bool_t kVerbose = 1;
	const Bool_t kAutoRange = 1;
	//	const Float_t kRangeProportion = 1.2;
	const Float_t kRangeProportion = 1.1;
	//	const Float_t kRangeProportionIn = 1.1;
	const Float_t kRangeProportionIn = 2.0;

//	const Bool_t kChains[6] = {0,0,0,1,0,1};
	const Bool_t kChains[6] = {1,1,1,1,1,1};

	const Bool_t spectra = 0;

	const Int_t nointervals = 5;

	const Bool_t cosThetaT[nointervals] = {0,0,0,0,0};
//	const Bool_t cosThetaT[nointervals] = {1,1,1,1,1};

	const Bool_t epsilonT[nointervals] = {1,1,1,1,1};
//	const Bool_t epsilonT[nointervals] = {1,1,1,1,1};

	const Bool_t epsilonY[nointervals] = {0,0,0,0,0};
//	const Bool_t epsilonY[nointervals] = {1,1,1,1,1};
	const Bool_t cosThetaY[nointervals] = {0,1,0,1,0};
//	const Bool_t cosThetaY[nointervals] = {1,1,1,1,1};

	const Bool_t thetaAT[nointervals] = {0,0,0,0,0};
//	const Bool_t thetaAT[nointervals] = {1,1,1,1,1};

	const Bool_t thetaP1T[nointervals] = {0,0,1,0,0};
//	const Bool_t thetaP1T[nointervals] = {1,1,1,1,1};

	TCut sRatioAl0 = "sRatio>0.051 && sRatio<0.101";
//	TCut sRatioAl0 = "sRatio>0.060 && sRatio<0.110";
	TCut sRatioNoAl0 = "sRatio>0.050 && sRatio<0.100";
	TCut sRatioAl180 = "sRatio>0.047 && sRatio<0.097";
	TCut sRatioNoAl180 = "sRatio>0.048 && sRatio<0.098";
	TCut sRatioAl90 = "sRatio>0.051 && sRatio<0.101";
	TCut sRatioNoAl90 = "sRatio>0.051 && sRatio<0.101";
	TCut sRatio[6] = {sRatioAl0, sRatioNoAl0, sRatioAl180, sRatioNoAl180, sRatioAl90, sRatioNoAl90};

	//integral fit
	const Long64_t eMaxEvents = 5000000;
	Long64_t eEventsAl0 = eMaxEvents;
	Long64_t eEventsNoAl0 = eMaxEvents;
	Long64_t eEventsAl180 = eMaxEvents;
	Long64_t eEventsNoAl180 = eMaxEvents;
	Long64_t eEventsAl90 = eMaxEvents;
	Long64_t eEventsNoAl90 = eMaxEvents;

	Long64_t eEventsECuts[5][6] = {3950000, 3950000, 3800000, 3850000, 3950000, 3900000,
									eMaxEvents, eMaxEvents, 4100000, eMaxEvents, eMaxEvents, eMaxEvents,
									3050000, 3150000, 3200000, 3200000, 3250000, 3350000,
									3850000, 3950000, 3900000, 3900000, 4000000, 4000000,
									4100000, 4100000, 4000000, 4100000, eMaxEvents, eMaxEvents};

	const Long64_t eEvents[6] = {eEventsAl0, eEventsNoAl0, eEventsAl180, eEventsNoAl180, eEventsAl90, eEventsNoAl90};
	const TChain *chs[6] = {chsAl0, chsNoAl0, chsAl180, chsNoAl180, chsAl90, chsNoAl90};
	const TTree *ti[6] = {tiAl0, tiNoAl0, tiAl180, tiNoAl180, tiAl90, tiNoAl90};

	const Long64_t sMaxEvents = 3000000;
	Long64_t sEventsAl0 = sMaxEvents;
	Long64_t sEventsNoAl0 = 2700000;
	Long64_t sEventsAl180 = sMaxEvents;
	Long64_t sEventsNoAl180 = 2700000;
	Long64_t sEventsAl90 = 2690000;
	Long64_t sEventsNoAl90 = 2710000;
	const Long64_t sEvents[6] = {sEventsAl0, sEventsNoAl0, sEventsAl180, sEventsNoAl180, sEventsAl90, sEventsNoAl90};

	Long64_t sEventsECuts[5][6] = {sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents,
									sMaxEvents, 2630000, sMaxEvents, sMaxEvents, 2660000, 2660000,
									sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents,
									sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents,
									sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents, sMaxEvents};

	TString canvasTitle;
	TString canvasName;

	const Double_t sRange[6] = {2000, 2000, 2000, 2000, 2000, 2000};
	if (spectra) {
		gROOT->ProcessLine(".x ../corr_templates/sfAngInt_spectra_v5.cxx");
	}

	//	"T" system
	const Double_t eTRange[5][6] = {300, 300, 300, 300, 300, 300,
									380, 380, 380, 380, 380, 380,
									300, 300, 300, 300, 300, 300,
									500, 500, 500, 500, 500, 500,
									500, 500, 500, 500, 500, 500};
	gROOT->ProcessLine(".x ../corr_templates/sfAngInt_epsilonT.cxx");

//	return;

	const Double_t coskTRange[5][6] = {350, 350, 350, 350, 350, 350,
										400, 400, 400, 400, 400, 400,
										350, 350, 350, 350, 350, 350,
										700, 700, 700, 700, 700, 700,
										900, 900, 900, 900, 900, 900};
	gROOT->ProcessLine(".x ../corr_templates/sfAngInt_cosThetaTk.cxx");

	//	"Y" system
	const Double_t eYRange[5][6] = {400, 400, 400, 400, 400, 400,
									450, 450, 450, 450, 450, 450,
									400, 400, 400, 400, 400, 400,
									800, 800, 800, 800, 800, 800,
									1000, 1000, 1000, 1000, 1000, 1000};
	gROOT->ProcessLine(".x ../corr_templates/sfAngInt_epsilonY.cxx");

	const Double_t coskYRange[5][6] = {250, 250, 250, 250, 250, 250,
										350, 350, 350, 350, 350, 350,
										300, 300, 300, 300, 300, 300,
										450, 450, 450, 450, 450, 450,
										500, 500, 500, 500, 500, 500};
	gROOT->ProcessLine(".x ../corr_templates/sfAngInt_cosThetaYk.cxx");



	const Double_t tP1Range[5][6] = {90, 90, 90, 90, 90, 90,
									140, 140, 140, 140, 140, 140,
									130, 130, 130, 130, 130, 130,
									190, 190, 190, 190, 190, 190,
									200, 200, 200, 200, 200, 200};
	gROOT->ProcessLine(".x ../corr_templates/sfAngInt_thetaP1T.cxx");

	const Double_t tARange[5][6] = {90, 90, 90, 90, 90, 90,
									140, 140, 140, 140, 140, 140,
									160, 120, 160, 120, 160, 120,
									230, 180, 230, 180, 230, 180,
									210, 210, 210, 210, 210, 210};
	gROOT->ProcessLine(".x ../corr_templates/sfAngInt_thetaAT.cxx");

	Info("correlations_v5_6075.cxx", "Finished.");
}


